Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453276 - virsh shutdown leaves domU in 'no state' until restart xend
Summary: virsh shutdown leaves domU in 'no state' until restart xend
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 8
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 19:17 UTC by Dale Bewley
Modified: 2009-11-23 21:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:38:56 UTC


Attachments (Terms of Use)

Description Dale Bewley 2008-06-28 19:17:17 UTC
Description of problem:
Upon shutting down a f9 or f8 domU on a f8 dom0 virsh and virt-manager lose
track of the domain. 

Examples below are F9 domU, but further testing while reporting this bug
revealed the same behavior for a F8 domU as well as F9 domU's.

virt-manager shows state "Running" virsh list shows state "no state", but virsh
start claims "error: Domain is already active". Once xend is restarted libvirtd
seems to get back in sync and things work as expected.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.21.7-3.fc8
libvirt-0.4.3-1.fc8
virt-manager-0.5.3-2.fc8
xen-3.1.2-2.fc8


How reproducible:
Every time

Steps to Reproduce:
1. Install F8 dom0
2. Install F9 or F8 domU
3. virsh shutdown f9test or f8test
4. virsh start f9test or f8test
  
Actual results:
# virsh start f9test   
Domain f9test started

# virsh list
 Id Name                 State
----------------------------------
  0 Domain-0             running
 54 f9test               blocked

# virsh shutdown f9test
Domain f9test is being shutdown

# virsh list --all
 Id Name                 State
----------------------------------
  0 Domain-0             running
  - f9test               no state

# virsh start f9test
error: Domain is already active

# xm list
Name                                        ID   Mem VCPUs      State   Time(s)
Domain-0                                     0  8674     4     r----- 393079.8
f9test                                      54   512     1     ------      8.9

# service xend restart
Stopping xen daemons: xenconsoled xend                     [  OK  ]
Starting xen daemons: xenstored blktapctrl xenconsoled xend[  OK  ]

# virsh list --all
 Id Name                 State
----------------------------------
  0 Domain-0             running
  - f9test               shut off

# virsh start f9test
Domain f9test started

# virsh list --all
 Id Name                 State
----------------------------------
  0 Domain-0             running
 56 f9test               blocked

Expected results:
 virsh shutdown followed by virsh startup should work


Additional info:
* http://www.mail-archive.com/fedora-xen@redhat.com/msg02153.html

Comment 1 Dale Bewley 2008-06-28 22:55:07 UTC
Found a new release in Bodhi.

# yum update libvirt --enablerepo updates-testing
Updated: libvirt.x86_64 0:0.4.4-1.fc8
Dependency Updated: libvirt-python.x86_64 0:0.4.4-1.fc8

Restarted libvirtd and xend and redid test. Same results.

Comment 2 matt cowan 2008-07-01 14:20:42 UTC
This bug seems very similar to Bug 429403.

Just tried the latest libvirt (0.4.4-1.fc8.i386)
and didn't see any change in behavior.


Comment 3 Dale Bewley 2008-09-30 21:51:07 UTC
Well, after testing this again, it seems that restarting xend is not necessary.

After shutting down the domU, -- even though virsh is deaf to it -- I can start it again with 'xm start <domU>'. At that point virsh and virt-manager regain knowledge of the domU's state.

I tested libvirt 0.4.6 and get the same results.

Using the F9 SRPM from here[1], I built a F8 virt-manager v0.5.4 RPM to go along with libvirt and libvirt-python v0.4.6 from here[2]. 

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=48577
[2] http://koji.fedoraproject.org/koji/buildinfo?buildID=64798

To recap my versions (all x86_64):

[root@tofu tmp]# rpm -qa '*xen*'
kernel-xen-2.6.21.7-5.fc8
xen-3.1.2-5.fc8
xen-libs-3.1.2-5.fc8
[root@tofu tmp]# rpm -qa '*virt*'|sort
libvirt-0.4.6-1.fc8
libvirt-python-0.4.6-1.fc8
python-virtinst-0.300.2-4.fc8
virt-manager-0.5.4-4.fc8
virt-viewer-0.0.2-2.fc8

Comment 4 Bug Zapper 2008-11-26 10:56:24 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-01-09 06:38:56 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.